Create an evaluator
curl --request POST \
--url https://api.twinbay.ai/evaluators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_id": "7ef34f0b-0ae6-4e26-ae92-f49d239d4d7d",
"twins": [
"stripe"
],
"test_version": 3
}
'import requests
url = "https://api.twinbay.ai/evaluators"
payload = {
"test_id": "7ef34f0b-0ae6-4e26-ae92-f49d239d4d7d",
"twins": ["stripe"],
"test_version": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
test_id: '7ef34f0b-0ae6-4e26-ae92-f49d239d4d7d',
twins: ['stripe'],
test_version: 3
})
};
fetch('https://api.twinbay.ai/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_version": 123,
"status": "pending",
"twins": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "evaluator",
"rules": [
{
"outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matcher": {
"twin": "<string>",
"method": "GET",
"path": "<string>",
"predicates": [
{
"source": "query",
"field": "<string>",
"operator": "eq",
"value": "<string>"
}
]
}
}
],
"provenance": {
"compiler": {
"provider": "<string>",
"model": "<string>"
},
"api_schemas": [
{
"twin": "<string>",
"twin_version": "<string>",
"image_digest": "<string>",
"description": "<string>",
"resources": [
"<string>"
],
"sdk_targets": [
"<string>"
]
}
],
"executor": {
"version": "<string>"
}
},
"last_error": {
"code": "<string>",
"message": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}tests
Create an evaluator
Queues compilation of a test definition into immutable request matchers. The latest test version is pinned when no version is supplied.
POST
/
evaluators
Create an evaluator
Authorizations
Access tokenOrganization API key
Access token issued by WorkOS AuthKit.
Body
application/json
Test to compile into matchers.
Example:
"7ef34f0b-0ae6-4e26-ae92-f49d239d4d7d"
Catalog slugs of the twins whose APIs the outcomes are about.
Required array length:
1 - 10 elementsRequired string length:
1 - 100Example:
["stripe"]
Version to pin. When omitted, evaluator creation pins the latest test version.
Required range:
x > 0Example:
3
Response
Successful Response
Available options:
pending, running, ready, error Allowed value:
"evaluator"The frozen matchers, once compilation is ready.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes